Subject: Re: [PATCH 0/5] New config option for git-grep to include untracked files

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Mar 2024 10:43:00 -0700

Dragan Simic <[email-masked]> writes:

> However, I think that the usability of this new configuration option
> outweighs the possible issues it could cause to some users.

"Screw others who share my preference and want to set this variable,
but use third-party tools and scripts that will get broken with this
change, because I do not use them" is what we try not to say around
here.

> For example, I quite often find myself in need to specify
> --untracked while running git-grep(1), to see what's found in the
> code changes I haven't staged yet, so I find this new
> configuration very useful.

The feature (not the command line option, but the behaviour that is
triggered by it) surely may be useful.  Otherwise we wouldn't have
added it.  As I already said, I often find myself doing "--cached".
But that does not make it a good idea to invent a new configuration
variable and set "grep.source=cached".